Groovy Documentation

## groovy.model
[Java] Class PropertyModel

    java.lang.Object
      groovy.model.PropertyModel

All Implemented Interfaces:
  NestedValueModel, ValueModel

    public class PropertyModel

Represents a property of a value as a model.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`PropertyModel(ValueModel sourceModel, java.lang.String property)`
`PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type)`
`PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type, boolean editable)`

Method Summary
`java.lang.String` | `getProperty()`
`ValueModel` | `getSourceModel()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyModel

    public PropertyModel(ValueModel sourceModel, java.lang.String property)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type, boolean editable)

Method Detail

### getProperty

    public java.lang.String getProperty()

### getSourceModel

    public ValueModel getSourceModel()

### getType

    public java.lang.Class getType()

### getValue

    public java.lang.Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation